<?php
//模組參數設定
function neil_modulessetting($modulesid="",$type="") {	
	//瀏覽裝置判斷
	if(check_mobile()) {
		//手機
		$content['themefolder']="phone";
	} else {
		//電腦
		$content['themefolder']="computer";
	}	
    //引入模組DB函數-初始化設定
    if($content['themefolder']=='computer') $configList=moduledb($dbneme="neillibrary_layoutcsslog",$where=" where `ip` = '".get_real_ip()."'  && `cookieid` = '".$_COOKIE['neil']['cookieid']."'   order by  logid DESC");

	
switch($modulesid) {
	case "neilenglishresults":  //英資模組
	//瀏覽裝置判斷
	if(check_mobile()) {
		//手機
		//瀑布流
		$content['columnWidth']="545";
		$content['gutter']="0";
		//撥放器
		$content['playwidth']="575";
		$content['playheight']="500";
		$content['fbwidth']="575";		
	} else {
		//電腦
		//瀑布流
		$content['columnWidth']="295";
		$content['columnWidth2']="470";
		$content['gutter']="22";
		//撥放器	
		if($type=='img') {
			$content['playwidth']='820';
			$content['playheight']="510";
		} else {
			$content['playwidth']=$type=='y' ? '800' : '790';
			$content['playheight']="600";
		}
		$content['fbwidth']="1250";
	}
	break;
	
	case "neilalbum":  	//網路相簿  
	//瀏覽裝置判斷
	if(check_mobile()) {
		//手機
		//瀑布流
		$content['columnWidth']="545";
		$content['gutter']="0";
		$content['colmd']="col-md-12";
		//內容頁面設定
		$content['playerwidth']="560";
		$content['playerheight']="400";
		$content['fbwidth']="575";
	} else {
		//電腦
		if($configList['layoutcss']=='rdivfalse') {
			//中間配置
			$content['columnWidth']="290";
			$content['gutter']="24";
			$content['colmd']="col-md-3";
			//內容頁面設定
			$content['playerwidth']="800";
			$content['playerheight']="500";
			$content['fbwidth']="1260";
			$content['itemsbox1']="col-md-3";
		} else {
			//左右開啟配置
			$content['columnWidth']="284";
			$content['gutter']="28";
			$content['colmd']="col-md-4";
			//內容頁面設定
		/*	$content['playerwidth']="610";
			$content['playerheight']="500";
			$content['fbwidth']="940"; */
			//區塊
			$content['itemsbox1']="col-md-4";
		}
		//區塊
	}
	break;
		
		case "neilonlinevideo":  //線上影音
		//瀏覽裝置判斷
		if(check_mobile()) {
			//手機
			//瀑布流
	    	$content['columnWidth']="545";
	    	$content['gutter']="0";
	    	$content['colmd']="col-md-12";
			//撥放器
			$content['playwidth']="555";
			$content['playheight']="500";
			$content['fbwidth']="575";
		} else {
			//電腦
			if($configList['layoutcss']=='rdivfalse') {
				//中間配置
				$content['columnWidth']="290";
				$content['gutter']="24";
				$content['colmd']="col-md-3";
				//內容頁面設定
				$content['playwidth']="810";
				$content['playheight']="500";
				$content['fbwidth']="1260";
				//區塊設定
				//區塊顯示直式 
			/*	$content['blocks_l_type']="col-md-3";
				//區塊顯示橫式
				$content['blocks_l_type1']="col-md-4";
				//左區塊
				$content['blocks_r_type1']="col-md-8";*/
				//右區塊
			} else {
				//左右開啟配置
			    $content['columnWidth']="284";
			    $content['gutter']="28";
			    $content['colmd']="col-md-4";
				//撥放器	
			/*	$content['playwidth']="610";
				$content['playheight']="500";
				$content['fbwidth']="940";*/
				//區塊顯示直式 
			/*	$content['blocks_l_type']="col-md-4";
				//區塊顯示橫式
				$content['blocks_l_type1']="col-md-4";
				//左區塊
				$content['blocks_r_type1']="col-md-8"; */
				//右區塊
			}
		}
		break;
		
		case "neilproduct":  //商品展示
		//瀏覽裝置判斷
		if(check_mobile()) {
			//手機
			//撥放器	
            $content['play_width']="555";
			$content['play_height']="565";
			$content['colmd']="col-md-3";	
			//影片區塊
			$content['playmoviewidth']=$type=='y' ? '100%' : '530px';
	    	$content['playmovieheight']="400";					
			//瀑布流
			//瀑布流
			$content['columnWidth']="555";
			$content['gutter']="0";			

		} else {
			//電腦
			//瀑布流
			$content['columnWidth']="245.5";
			$content['gutter']="10";
			//撥放器	
            $content['play_width']="450";
			$content['play_height']="450";
			$content['colmd']="col-md-3";
			
			//影片區塊
			$content['playmoviewidth']=$type=='y' ? '100%' : '970';
	    	$content['playmovieheight']="600";
		}
		break;
		
		case "neilmfdcms":  //內容管理   
		//瀏覽裝置判斷
		if(check_mobile()) {
			//手機
			//代表圖-新聞
			$content['representimgbox']="150";
			//代表圖-簡介
			$content['representimgbox2']="125";
			//內容
			$content['fbwidth']="570";
		} else {
			//電腦
			//代表圖-新聞
			$content['representimgbox']="260";
			//代表圖-簡介
			$content['representimgbox2']="130";
			//內容
			$content['fbwidth']="920";
			//blocks
			if($configList['layoutcss']=='rdivfalse') {
				//中間配置
				$content['blockcolmd_1_1']="col-md-4";
				//新聞區塊-圖片式
				$content['blockcolmd_2']="col-md-4";
				//內容區塊
			} else {
				//左右開啟配置
				$content['blockcolmd_1_1']="col-md-6";
				//新聞區塊-圖片式
				$content['blockcolmd_2']="col-md-6";
				//內容區塊
			}
		}
		break;
		
		case "neilofficebriefing":  //組織簡介
		//瀏覽裝置判斷
		if(check_mobile()) {
			//手機
			$content['playerwidth']="555";
			$content['playerheight']="600";
			$content['items']="col-md-12";
			//首頁區塊
	    	$content['contentl']="col-md-12";
			//分類頁左區塊
			$content['contentr']="col-md-12";
		} else {
			//電腦
			if($configList['layoutcss']=='rdivfalse') {
				//中間配置
				$content['playerwidth']="570";
				$content['playerheight']="450";
				$content['items']="col-md-4";
				//首頁區塊
				$content['contentl']="col-md-2";
				//分類頁左區塊
				$content['contentr']="col-md-10";
				//分類頁右區塊
			} else {
				//左右開啟配置
			/*	$content['playerwidth']="410";
				$content['playerheight']="400"; */
				//首頁區塊
				$content['items']="col-md-6";
				//首頁顯示數量
				$content['contentl']="col-md-3";
				//分類頁左區塊
				$content['contentr']="col-md-9";
				//分類頁右區塊
			}
		}
		break;
		
		case "neilfilefolder":  //檔案管理
		//瀏覽裝置判斷
		if(check_mobile()) {
			//手機
			//代表圖
			$content['representimgbox']="120";
			//內容
			$content['fbwidth']="570";
		} else {
			//電腦
			//內容
			//代表圖
			$content['representimgbox']="150";
			$content['fbwidth']="840";
		}
		break;
		
		case "neilsignedup_c":  //課程報名
		//瀏覽裝置判斷
		if(check_mobile()) {
			//手機
			//內容
			$content['fbwidth']="540";
			//影片區塊
			$content['playmoviewidth']='535';
			$content['playmovieheight']="400";
			//瀑布流
			$content['columnWidth']="560";
			$content['gutter']="0";
			$content['colmd']="col-md-12";
		} else {
			//電腦
			//內容
			$content['fbwidth']="840";
			//影片區塊
			$content['playmoviewidth']=$type=='y' ? '100%' : '840';
			// get TRUE
			$content['playmovieheight']="425";
			//瀑布流
			$content['columnWidth']="299";
			$content['gutter']="32";
			$content['colmd']="col-md-4";
			
			
			if($configList['layoutcss']=='rdivfalse') {
				//中間配置
				//簡章索取
				$content['col_sm_b2_1_l']="col-sm-3";
				$content['col_sm_b2_1_r']="col-sm-9";
			} else {
				//左右開啟配置
				//簡章索取
				$content['col_sm_b2_1_l']="col-sm-4";
				$content['col_sm_b2_1_r']="col-sm-8";
			}
		}
		break;
		
		case "neilhonorlist":  	  //榮譽事項	  
		/*	$content['col_sm_b1_1_l']="col-sm-3";
			$content['col_sm_b1_1_r']="col-sm-9";*/
		//瀏覽裝置判斷
		if(check_mobile()) {
			//手機
	    	$content['fbwidth']="565";
		} else {
			//電腦
			$content['fbwidth']="955";				
		}
		break;
		
		case "neilsignedup_a":  //活動報名
		//瀏覽裝置判斷
		if(check_mobile()) {
			//手機
			//內容
			$content['fbwidth']="540";
			//影片區塊
			$content['playmoviewidth']='535';
			$content['playmovieheight']="400";
			//瀑布流
			$content['columnWidth']="545";
			$content['gutter']="0";
			$content['colmd']="col-md-12";
		} else {
			//電腦
			//內容
			$content['fbwidth']="840";
			//影片區塊
			$content['playmoviewidth']=$type=='y' ? '100%' : '840';
			// get TRUE
			$content['playmovieheight']="425";
			//瀑布流
			$content['columnWidth']="299";
			$content['gutter']="32";
			$content['colmd']="col-md-4";
		}
		break;
		
		case "neilperiodical":  //電子校刊       
		//瀏覽裝置判斷
		if(check_mobile()) {
			//手機
			//代表圖
			$content['representimgbox']="580";
			$content['colmd_1']="col-md-6";
		} else {
			//電腦
			//代表圖
			$content['representimgbox']="231";
			if($configList['layoutcss']=='rdivfalse') {
				//中間配置
				$content['colmd_1']="col-md-4";
			} else {
				//左右開啟配置
				$content['colmd_1']="col-md-6";
			}
		}
		break;
		default:
	}
	$content['class']="col-md-3";
	$content['column']="4";
	$content['layoutcss']=$configList['layoutcss'];
	return $content;
}
?>